<template>
	<ion-segment @ionChange="$emit('filterSegment', $event.detail.value)">
		<ion-segment-button value="">
			<ion-label>Všetky</ion-label>
		</ion-segment-button>
		<ion-segment-button value="Style">
			<ion-label>Style</ion-label>
		</ion-segment-button>
		<ion-segment-button value="Frontend">
			<ion-label>Frontend</ion-label>
		</ion-segment-button>
		<ion-segment-button value="BackEnd">
			<ion-label>BackEnd</ion-label>
		</ion-segment-button>
	</ion-segment>
</template>

<script>
import { IonSegment, IonSegmentButton, IonLabel } from '@ionic/vue';

export default {
  components: { IonSegment, IonSegmentButton, IonLabel },
};
</script>

<style scoped>
ion-segment { 
	max-width: 900px; 
	margin: 1rem auto 1rem auto;
}
</style>